<header>
    <nav class="navbar navbar-expand-lg bg-light" style="padding: 0;height: 80px;">
        <div class="container-fluid">
            <div class="tk-logo-brand">
                <a class="navbar-brand" href="/home">
                    <img style="width:10%;" src="../../../assets/login/SYNLAB_Logo.png" alt="logo" />
                    <div class="box-name">
                        <h5>Welcome {{name}}</h5>
                    </div>
                </a>
            </div>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                    <li class="nav-item" *ngIf="rol== 1 || rol== 2 || rol== 3">
                        <a class="nav-link" aria-current="page" id="/home" href="/home">Home</a>
                    </li>
                    <li class="nav-item" *ngIf="rol== 1 || rol== 2">
                        <a class="nav-link" aria-current="page" id="/petition/create" href="/petition/create">Create
                            Petition</a>
                    </li>
                    <li class="nav-item" *ngIf="rol== 1 || rol== 3">
                        <a class="nav-link" aria-current="page" id="/petition/list" href="/petition/list">List
                            Petitions</a>
                    </li>
                    <li class="nav-item" *ngIf="rol== 1 || rol== 2 || rol== 3">
                        <a class="nav-link" aria-current="page" id="/warranties" href="/warranties">Warranties</a>
                    </li>
                    <li class="nav-item" *ngIf="rol== 1 || rol== 3">
                        <a class="nav-link" aria-current="page" id="/users" href="/users">View Users</a>
                    </li>
                </ul>
                <div class="d-flex justify-content-end">
                    <button class="btn btn-logout" [matMenuTriggerFor]="logoutMenu">
                        <span class="material-icons MuiIcon-root" aria-hidden="true">settings</span>
                    </button>
                    <mat-menu #logoutMenu="matMenu">
                        <button mat-menu-item (click)="cerrarSesion()">
                            <span class="material-icons" style="position: relative;top: 6px;">
                                logout
                            </span>
                            Salir
                        </button>
                    </mat-menu>
                </div>
            </div>
            <div fxShow="true" fxHide.gt-sm="true" class="mobile">
                <button class="navbar-toggler" mat-button style="font-size:100%!important;" class="btn btn-settings" [matMenuTriggerFor]="fullMenu">
                    <span class="navbar-toggler-icon"></span>
                </button>
            </div>
            <mat-menu #fullMenu="matMenu">
                <button mat-menu-item [routerLink]="['/home']" *ngIf="rol== 1 || rol== 2 || rol== 3">
                    <span class="material-icons" style="position: relative;top: 6px;">
                        home
                    </span>
                    Home
                </button>
                <button mat-menu-item [routerLink]="['/petition/create']" *ngIf="rol== 1 || rol== 2">
                    <span class="material-icons" style="position: relative;top: 6px;">
                        add_circle
                    </span>
                    Create Petition
                </button>
                <button mat-menu-item [routerLink]="['/petition/list']" *ngIf="rol== 1 || rol== 3">
                    <span class="material-icons" style="position: relative;top: 6px;">
                        list
                    </span>
                    List Petitions
                </button>
                <button mat-menu-item [routerLink]="['/warranties']" *ngIf="rol== 1 || rol== 2 || rol== 3">
                    <span class="material-icons" style="position: relative;top: 6px;">
                        warning
                    </span>
                    Warranties
                </button>
                <button mat-menu-item [routerLink]="['/users']" *ngIf="rol== 1 || rol== 3">
                    <span class="material-icons" style="position: relative;top: 6px;">
                        group
                    </span>
                    View Users
                </button>
                <button mat-menu-item (click)="cerrarSesion()">
                    <span class="material-icons" style="position: relative;top: 6px;">
                        logout
                    </span>
                    Salir
                </button>
            </mat-menu>
        </div>
    </nav>
</header>